const menuData = [
  {
  //   name: '产品库',
  //   icon: 'shop',
  //   path: 'products',
  // }, {
    name: '发货管理',
    icon: 'trademark',
    path: 'order',
  }, {
    name: '账户信息',
    icon: 'user',
    path: 'merchant',
  },
];

function formatter(data, parentPath = '') {
  const list = [];
  data.forEach((item) => {
    if (item.children) {
      list.push({
        ...item,
        path: `${parentPath}${item.path}`,
        children: formatter(item.children, `${parentPath}${item.path}/`),
      });
    } else {
      list.push({
        ...item,
        path: `${parentPath}${item.path}`,
      });
    }
  });
  return list;
}

export const getMenuData = () => formatter(menuData);
